# LimaLogger

![demo](demo.gif)

LimaLogger is a command-line QSO logger for ham radio operators.

## Installation

First, [install Cargo](https://doc.rust-lang.org/cargo/getting-started/installation.html).

Then, install LimaLogger: `cargo install limalogger`.

## Usage

Run `limalogger file.lima` to start a new log, assuming `file.lima` doesn't exist. If it does, it will load that file. You can name the file however you want - it may be helpful to have multiple files, depending on your use-case (perhaps one for normal QSOs, and one per contest).

Press 'A' to add a QSO to the log. LimaLogger will fill in some fields from previous QSOs, if available. The time will default to now. To modify any field, press the letter in its header - [T] for time, [F] for frequency, etc. The time can be specified in many ways, such as "1 minute ago", "January 1", "3:14", or just as a normal date format, and it will figure out what you mean. Once you're done, press 'S' to save the QSO to your logbook. LimaLogger will autosave to the file after every QSO.
